Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.calendar
Class AbstractCalendarPlugin

    java.lang.Object
      org.blojsom.plugin.calendar.AbstractCalendarPlugin

All Implemented Interfaces:
  Plugin

Direct Known Subclasses:
  AbstractVisualCalendarPlugin, CalendarFilterPlugin

public abstract class AbstractCalendarPlugin
extends java.lang.Object
implements Plugin

AbstractCalendarPlugin is a base plugin that is used by the various calendar plugins to filter content.

Since:
  blojsom 3.0
Version:
  $Id: AbstractCalendarPlugin.java,v 1.4 2006/05/05 17:40:33 czarneckid Exp $
Author:
  David Czarnecki, Mark Lussier

Field Summary
`protected Fetcher` | `_fetcher`
`static java.lang.String` | `BLOJSOM_CALENDAR` Key under which the blog calendar will be placed (example: on the request for the JSPDispatcher)
`protected static java.lang.String` | `BLOJSOM_CALENDAR_FORMAT` Format String for Calendar Month (Example: March 2003)
`protected static java.lang.String` | `BLOJSOM_CALENDAR_LOCALE`
`protected static java.lang.String` | `BLOJSOM_CALENDAR_SHORTFORMAT` Short Format String for Previous/Next Calendar Month(s) (Example: Mar)
`static java.lang.String` | `BLOJSOM_CALENDAR_VTLHELPER` Key under which the blog calendar vtl helper will be placed (example: on the request for the JSPDispatcher)
`protected static java.lang.String` | `BLOJSOM_FILTER_END_DATE`
`protected static java.lang.String` | `BLOJSOM_FILTER_START_DATE`
`protected static java.lang.String` | `DAY_PARAM` Request parameter for the "day"
`protected static java.lang.String` | `MONTH_PARAM` Request parameter for the "month"
`protected static java.lang.String` | `YEAR_PARAM` Request parameter for the "year"

Constructor Summary
`AbstractCalendarPlugin()`

Method Summary
`void` | `cleanup()` Perform any cleanup for the plugin.
`void` | `destroy()` Called when BlojsomServlet is taken out of service
`void` | `init()` Initialize this plugin.
`Entry[]` | `process(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, Blog blog, java.util.Map context, Entry[] entries)` Process the blog entries
`void` | `setFetcher(Fetcher fetcher)` Set the `Fetcher`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLOJSOM_CALENDAR_LOCALE

    protected static final java.lang.String BLOJSOM_CALENDAR_LOCALE

See Also:
  Constant Field Values

### YEAR_PARAM

    protected static final java.lang.String YEAR_PARAM

  Request parameter for the "year"

  See Also:
    Constant Field Values

### MONTH_PARAM

    protected static final java.lang.String MONTH_PARAM

  Request parameter for the "month"

  See Also:
    Constant Field Values

### DAY_PARAM

    protected static final java.lang.String DAY_PARAM

  Request parameter for the "day"

  See Also:
    Constant Field Values

### BLOJSOM_CALENDAR_FORMAT

    protected static final java.lang.String BLOJSOM_CALENDAR_FORMAT

  Format String for Calendar Month (Example: March 2003)

  See Also:
    Constant Field Values

### BLOJSOM_CALENDAR_SHORTFORMAT

    protected static final java.lang.String BLOJSOM_CALENDAR_SHORTFORMAT

  Short Format String for Previous/Next Calendar Month(s) (Example: Mar)

  See Also:
    Constant Field Values

### BLOJSOM_FILTER_START_DATE

    protected static final java.lang.String BLOJSOM_FILTER_START_DATE

See Also:
  Constant Field Values

### BLOJSOM_FILTER_END_DATE

    protected static final java.lang.String BLOJSOM_FILTER_END_DATE

See Also:
  Constant Field Values

### BLOJSOM_CALENDAR

    public static final java.lang.String BLOJSOM_CALENDAR

  Key under which the blog calendar will be placed (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_CALENDAR_VTLHELPER

    public static final java.lang.String BLOJSOM_CALENDAR_VTLHELPER

  Key under which the blog calendar vtl helper will be placed (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### _fetcher

    protected Fetcher _fetcher

Constructor Detail

### AbstractCalendarPlugin

    public AbstractCalendarPlugin()

Method Detail

### setFetcher

    public void setFetcher(Fetcher fetcher)

  Set the `Fetcher`

  Parameters:
    `fetcher` - `Fetcher`

### init

    public void init()
              throws PluginException

  Initialize this plugin. This method only called when the plugin is instantiated.

  Specified by:
    `init` in interface `Plugin`
  Throws:
    `PluginException` - If there is an error initializing the plugin

### process

    public Entry[] process(javax.servlet.http.HttpServletRequest httpServletRequest,
                           javax.servlet.http.HttpServletResponse httpServletResponse,
                           Blog blog,
                           java.util.Map context,
                           Entry[] entries)
                    throws PluginException

  Process the blog entries

  Specified by:
    `process` in interface `Plugin`
  Parameters:
    `httpServletRequest` - Request
    `httpServletResponse` - Response
    `blog` - `Blog` instance
    `context` - Context
    `entries` - Blog entries retrieved for the particular request
  Returns:
    Modified set of blog entries
  Throws:
    `PluginException` - If there is an error processing the blog entries

### cleanup

    public void cleanup()
                 throws PluginException

  Perform any cleanup for the plugin. Called after `process(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, org.blojsom.blog.Blog, java.util.Map, org.blojsom.blog.Entry[])`.

  Specified by:
    `cleanup` in interface `Plugin`
  Throws:
    `PluginException` - If there is an error performing cleanup for this plugin

### destroy

    public void destroy()
                 throws PluginException

  Called when BlojsomServlet is taken out of service

  Specified by:
    `destroy` in interface `Plugin`
  Throws:
    `PluginException` - If there is an error in finalizing this plugin

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD